com.io7m.jregions.core.unparameterized.sizes

## Class AreaSizeL

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.AreaSizeL

- All Implemented Interfaces:
    AreaSizeLType, AreaSizeValuesLType

      @Generated(value={"Immutables.generator","AreaSizeLType"})
      public final class AreaSizeL
      extends Object
      implements AreaSizeLType

  The size of an area with `long` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AreaSizeL.Builder` Builds instances of type `AreaSizeL`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AreaSizeL.Builder` | `builder()` Creates a builder for `AreaSizeL`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `AreaSizeL` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `width`, `height`.
    `long` | `height()`
    `static AreaSizeL` | `of(long width, long height)` Construct a new immutable `AreaSizeL` instance.
    `String` | `toString()` Prints the immutable value `AreaSizeL` with attribute values.
    `long` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### width

          public long width()

      Specified by:
        `width` in interface `AreaSizeLType`
      Specified by:
        `width` in interface `AreaSizeValuesLType`
      Returns:
        The value of the `width` attribute

    - #### height

          public long height()

      Specified by:
        `height` in interface `AreaSizeLType`
      Specified by:
        `height` in interface `AreaSizeValuesLType`
      Returns:
        The value of the `height` attribute

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `AreaSizeL` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `width`, `height`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `AreaSizeL` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static AreaSizeL of(long width,
                                     long height)

      Construct a new immutable `AreaSizeL` instance.
      Parameters:
        `width` - The value for the `width` attribute
        `height` - The value for the `height` attribute
      Returns:
        An immutable AreaSizeL instance

    - #### builder

          public static AreaSizeL.Builder builder()

      Creates a builder for `AreaSizeL`.
      Returns:
        A new AreaSizeL builder

Copyright © 2017 <code@io7m.com> http://io7m.com